<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Account Edit</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar/sidebar_setting::sidebar_setting" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow-sm">
                    <div class="card-header">
                        <h5>Edit Account</h5>
                    </div>
                    <div class="card-body">
                        <form th:action="@{/account/save}" method="post">
                            <div class="form-group mb-3">
                                <label>Code</label>
                                <input type="hidden" name="id" th:value="${account.id}">
                                <input type="text" class="form-control" name="code" th:value="${account.code}">
                            </div>
                            <div class="form-group mb-3">
                                <label>Name</label>
                                <input type="text" class="form-control" name="name" th:value="${account.name}">
                            </div>
                            <div class="form-group mb-3">
                                <label>Subclassification</label>
                                <select name="subclassification" class="form-select" style="width: 100%;">
                                    <option value=""></option>
                                    <option th:each="data, row:${classification}"
                                            th:value="${data.id}"
                                            th:selected="${data.id == account.subclassification.id}"
                                            th:text="${data.name + ' ('+data.classification.name + ')'}"></option>
                                </select>
                            </div>
                            <div class="form-group mb-3">
                                <label>Account Type</label>
                                <select name="accountType" class="form-select" th:value="${account.accountType}">
                                    <option value="" selected>-- Select --</option>
                                    <option th:each="accountType : ${T(id.ac.tazkia.accounting.entity.AccountType).values()}"
                                            th:value="${accountType}" th:text="${accountType}"
                                            th:selected="${account.accountType != null ? account.accountType.toString().equals(accountType.toString()) : false}">AKTIVA</option>
                                </select>

                            </div>
                            <div class="form-group mb-3">
                                <label>Nominal Balance</label>
                                <select name="nominalBalance" class="form-select" th:value="${account.nominalBalance}">
                                    <option value="" selected>-- Select --</option>
                                    <option th:each="nominalBalance : ${T(id.ac.tazkia.accounting.entity.BalanceType).values()}"
                                            th:value="${nominalBalance}" th:text="${nominalBalance}"
                                            th:selected="${account.nominalBalance != null ? account.nominalBalance.toString().equals(nominalBalance.toString()) : false}">DEBET</option>
                                </select>
                            </div>
                            <div class="form-group mb-3">
                                <label>Type Institution</label>
                                <select name="typeInstitution" id="select" multiple="multiple" class="form-select">
                                    <option th:each="data, row:${institut}"
                                            th:text="${data.namaInstitut}"
                                            th:value="${data.id}"></option>
                                </select>
                            </div>
                            <div class="form-group mb-3">
                                <button class="btn btn-primary">Save</button>
                                <a th:href="@{/account}" class="btn btn-danger">Back</a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
<div layout:fragment="footer" class="script">
    <script>
        $('#select').select2({
            theme: 'bootstrap-5',
            placeholder: '- Pilih Institusi -'
        });
    </script>
</div>
</body>
</html>